--- a/arch/powerpc/platforms/85xx/Kconfig
+++ b/arch/powerpc/platforms/85xx/Kconfig
@@ -173,6 +173,16 @@ config XES_MPC85xx
 	  Manufacturer: Extreme Engineering Solutions, Inc.
 	  URL: <https://www.xes-inc.com/>
 
+config RED_15W_REV1
+	bool "Sophos RED 15w Rev.1"
+	select DEFAULT_UIMAGE
+	select ARCH_REQUIRE_GPIOLIB
+	select GPIO_MPC8XXX
+	help
+	  This option enables support for the Sophos RED 15w Rev.1 board.
+
+	  This board is a wireless VPN router with a Freescale P1010 SoC.
+
 config STX_GP3
 	bool "Silicon Turnkey Express GP3"
 	help
--- a/arch/powerpc/platforms/85xx/Makefile
+++ b/arch/powerpc/platforms/85xx/Makefile
@@ -27,6 +27,7 @@ obj-$(CONFIG_P1023_RDB)   += p1023_rdb.o
 obj-$(CONFIG_TWR_P102x)   += twr_p102x.o
 obj-$(CONFIG_CORENET_GENERIC)   += corenet_generic.o
 obj-$(CONFIG_FB_FSL_DIU)	+= t1042rdb_diu.o
+obj-$(CONFIG_RED_15W_REV1)	+= red15w_rev1.o
 obj-$(CONFIG_STX_GP3)	  += stx_gp3.o
 obj-$(CONFIG_TL_WDR4900_V1) += tl_wdr4900_v1.o
 obj-$(CONFIG_TQM85xx)	  += tqm85xx.o
